[tool.poetry]
name = "itk-demo-sso"
version = "0.0.1"
description = ""
authors = ["Jonas Schmeing"]

[tool.poetry.dependencies]
python = "^3.12.0"
Flask-Cors = "^3.0.10"
connexion = {extras = ["swagger-ui"], version = "^2.14.2"}
requests = "^2.31.0"
gunicorn = "^20.1.0"
rich = "^13.7.0"
authlib = "^1.3.0"
pyjwt = "^2.8.0"
python-dotenv = "^1.0.1"

[tool.poetry.dev-dependencies]

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.pytest.ini_options]
markers = "test: Used for debugging"
filterwarnings = ['ignore::DeprecationWarning:connexion.*', 'ignore::DeprecationWarning:flask.*']